# Blockchain addresses

- [Search by id](https://docs.onchainpay.io/api-reference/03addresses/post_find-by-id.md)
- [Search by address](https://docs.onchainpay.io/api-reference/03addresses/post_find-by-address.md)
- [Meta-data](https://docs.onchainpay.io/api-reference/03addresses/post_set-meta.md)
- [Address Transactions](https://docs.onchainpay.io/api-reference/03addresses/post_transactions.md)
- [Last transaction of the address](https://docs.onchainpay.io/api-reference/03addresses/post_last-transaction.md)
- [Getting a list of PayIn addresses](https://docs.onchainpay.io/api-reference/03addresses/post_account-addresses.md)
- [Getting a list of business addresses](https://docs.onchainpay.io/api-reference/03addresses/post_business-addresses.md)
- [Get recurrent addresses](https://docs.onchainpay.io/api-reference/03addresses/post_recurrent-addresses.md)
- [Getting a list of PayOut addresses](https://docs.onchainpay.io/api-reference/03addresses/post_payout-balances.md)
- [Creating a new business wallet address](https://docs.onchainpay.io/api-reference/03addresses/post_business-address.md)
- [Creating a new PayOut wallet address](https://docs.onchainpay.io/api-reference/03addresses/post_create-payout-address.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onchainpay.io/api-reference/03addresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
